package osa.attribute.atgrammar.gui.panels.derivation_panels;

import javax.swing.JPanel;

import java.awt.*;
import javax.swing.*;

import java.awt.event.*;


import osa.attribute.atgrammar.gui.toolbars.*;

import osa.attribute.atgrammar.grammar.Grammar;

import osa.*;


/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: </p>
 * <p>Company: </p>
 * @author not attributable
 * @version
 */

public class DerivationTabPane
  extends JPanel
  {
  protected static DerivationTabPane instance=null;

  public static DerivationTabPane getInstance()
    {
    return instance;
    }

  BorderLayout borderLayout1 = new BorderLayout(5,5);

  DerivationPane derivation_pane=new DerivationPane(Grammar.getInstance());
  DerivationToolBar derivation_toolbar = new DerivationToolBar();

  protected MainFrame main_frame;

  public DerivationTabPane(MainFrame main_frame)
    {
    this.main_frame=main_frame;

    try{
       jbInit();
       }
    catch(Exception e)
      {
      e.printStackTrace();
      }

    instance=this;
    }

  private void jbInit() throws Exception
    {
    this.setLayout(borderLayout1);
    this.add(derivation_pane, BorderLayout.CENTER);
    this.add(derivation_toolbar, BorderLayout.NORTH);
    }

  public DerivationPane getDerivationPane()
    {
    return this.derivation_pane;
    }

  }